Subject: Re: [PATCH 8/9] serve: reject bogus v2 "command=ls-refs=foo"

From: Taylor Blau <[email-masked]>
Date: Tue, 14 Sep 2021 13:21:00 -0400

On Tue, Sep 14, 2021 at 11:37:21AM -0400, Jeff King wrote:
> This isn't really hurting anything, but the request does violate the
> spec. Let's tighten it up to prevent any surprising behavior.

Yeah. I seriously doubt that anybody is relying on this obviously broken
behavior, and it's definitely a spec violation. So I have no trouble
rejecting 'command=ls-refs=foo' over the wire.

Thanks,
Taylor